ReferenceDocumentsDocumentidShares

    Share a document with a user or group (owner or admin)

    Share a document with a user or group (owner or admin) - PUT /documents/{documentId}/shares. DocDealer REST API reference.

    PUT
    /documents/{documentId}/shares

    Authorization

    bearerAuth
    AuthorizationBearer <token>

    In: header

    Path Parameters

    documentId*string

    Request Body

    application/json

    TypeScript Definitions

    Use the request body type in TypeScript.

    Response Body

    application/json

    application/json

    application/json

    application/json

    application/json

    curl -X PUT "https://example.com/documents/string/shares" \  -H "Content-Type: application/json" \  -d '{    "level": "read",    "subjectId": "string",    "subjectType": "user"  }'
    {  "ok": true}